%define up_name     SDL2_net

%define major       0
%define apiver      2.0

%define libname     %mklibname %{name} %{apiver} %{major}
%define develname   %mklibname %{name} -d
%define develsname  %mklibname %{name} -d -s

Summary:        SDL2 Network Support Library
Name:           sdl2_net
Version:        2.2.0
Release:        %mkrel 2
License:        zlib
Group:          System/Libraries
URL:            https://www.libsdl.org/projects/SDL_net/
Source0:        https://www.libsdl.org/projects/SDL_net/release/%{up_name}-%{version}.tar.gz

BuildRequires:  pkgconfig(sdl2)
# fo fix: cannot find -lSDL2_test: No such file or directory
BuildRequires:  sdl2-static-devel

%description
This is a small sample cross-platform networking library.

%package -n     %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}%{name}2.0_2 < 2.0.0-2

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n     %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}%{major}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n     %{develsname}
Summary:        Static library for developing static programs that use %{name}
Group:          Development/C
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       %{up_name}-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%prep
%setup -q -n %{up_name}-%{version}

%build
%configure
%make_build

%install
%make_install

%files -n %{libname}
%doc LICENSE.txt
%{_libdir}/lib%{up_name}-%{apiver}.so.%{major}
%{_libdir}/lib%{up_name}-%{apiver}.so.%{major}.*

%files -n %{develname}
%doc README.txt CHANGES.txt
%{_libdir}/lib%{up_name}.so
%{_libdir}/cmake/SDL2_net/
%{_libdir}/pkgconfig/%{up_name}.pc
%{_includedir}/SDL2/*

%files -n %{develsname}
%{_libdir}/lib%{up_name}.*a


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.2.0-2.mga10
+ Revision: 2216617
- Mageia 10 Mass Rebuild

* Thu Dec 01 2022 luigiwalser <luigiwalser> 2.2.0-1.mga9
+ Revision: 1913859
- 2.2.0

* Fri Apr 01 2022 umeabot <umeabot> 2.0.1-4.mga9
+ Revision: 1838769
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1516903
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1300975
- Mageia 7 Mass Rebuild

* Sun Jan 10 2016 akien <akien> 2.0.1-1.mga6
+ Revision: 921098
- Version 2.0.1

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 744691
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 689092
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 2.0.0-2.mga5
+ Revision: 662320
- fix lib major
- drop unneeded pkgconfig requires from devel pkg

* Wed Dec 11 2013 blue_prawn <blue_prawn> 2.0.0-1.mga4
+ Revision: 556233
- imported package sdl2_net

